%define fname	httplib2

Name:		python-httplib2
Summary:	Python HTTP library module
Version:	0.19.0
Release:	%mkrel 1
Group:		Development/Python
License:	MIT
URL:            https://pypi.python.org/pypi/httplib2
Source0:        https://pypi.python.org/packages/source/h/httplib2/%{fname}-%{version}.tar.gz
Patch1:         %{name}.certfile.patch
Patch3:         %{name}.rfc2459.patch
Patch4:         %{name}-0.9-proxy-http.patch
BuildArch:	noarch

%description
A comprehensive HTTP client library that supports many features left
out of other HTTP libraries.

%package -n python3-%{fname}
Summary:	Python 3 HTTP library module
Group:		Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{fname}}
Requires:	rootcerts

%description -n python3-%{fname}
A comprehensive HTTP client library that supports many features left
out of other HTTP libraries.

%prep
%setup -q -n %{fname}-%{version}
%autopatch -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{fname}
%{python3_sitelib}/*


%changelog
* Sat Feb 27 2021 neoclust <neoclust> 0.19.0-1.mga8
+ Revision: 1693140
- New version 0.19.0: Fixes CVE-2021-21240 (mga#28385)

* Wed May 27 2020 luigiwalser <luigiwalser> 0.18.1-1.mga8
+ Revision: 1588104
- 0.18.1

* Wed May 27 2020 luigiwalser <luigiwalser> 0.17.4-1.mga8
+ Revision: 1588103
- 0.17.4

* Tue Apr 28 2020 daviddavid <daviddavid> 0.17.3-1.mga8
+ Revision: 1572822
- new version: 0.17.3

* Sun Apr 19 2020 daviddavid <daviddavid> 0.17.2-2.mga8
+ Revision: 1569597
- rebuild for missing rpms

* Fri Apr 17 2020 daviddavid <daviddavid> 0.17.2-1.mga8
+ Revision: 1568005
- new version: 0.17.2

* Sat Apr 04 2020 daviddavid <daviddavid> 0.17.1-1.mga8
+ Revision: 1564246
- new version: 0.17.1

* Thu Feb 20 2020 umeabot <umeabot> 0.17.0-2.mga8
+ Revision: 1546110
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 0.17.0-1.mga8
+ Revision: 1485938
- new version: 0.17.0

* Wed Dec 25 2019 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1469939
- new version: 0.15.0

* Wed Nov 13 2019 daviddavid <daviddavid> 0.14.0-1.mga8
+ Revision: 1459853
- new version: 0.14.0

* Fri Oct 11 2019 tv <tv> 0.13.1-2.mga8
+ Revision: 1451715
- rebuild with python 3.8

* Fri Sep 06 2019 wally <wally> 0.13.1-1.mga8
+ Revision: 1437820
- new version 0.13.1
- drop python2 support
- rebuild for python3.8

* Mon Jan 14 2019 luigiwalser <luigiwalser> 0.12.0-1.mga7
+ Revision: 1356253
- 0.12.0
- rediff patches

* Sat Jan 05 2019 wally <wally> 0.11.3-3.mga7
+ Revision: 1349448
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.11.3-2.mga7
+ Revision: 1288945
- Mageia 7 Mass Rebuild

* Tue Apr 17 2018 kekepower <kekepower> 0.11.3-1.mga7
+ Revision: 1219716
- Update to version 0.11.3
- Rediffed patches

* Thu Aug 03 2017 tv <tv> 0.9.2-3.mga7
+ Revision: 1134517
- rebuild for new python

* Mon Jan 18 2016 daviddavid <daviddavid> 0.9.2-2.mga6
+ Revision: 925600
- use new python macros

* Mon Jan 18 2016 luigiwalser <luigiwalser> 0.9.2-1.mga6
+ Revision: 925551
- 0.9.2

* Thu Oct 08 2015 tv <tv> 0.9.1-2.mga6
+ Revision: 887502
- rebuild for python 3.5

* Mon Sep 14 2015 pterjan <pterjan> 0.9.1-1.mga6
+ Revision: 878999
- Update to 0.9.1

* Wed Apr 22 2015 philippem <philippem> 0.9-6.mga5
+ Revision: 820565
- Add patch to fix http over proxy. Fixes bug Fedora#857514
- Add patch to fix CVE-2013-2037. Fixes bug Mageia#15747
- Add patch to fix binary headers in python3. Fixes bug Fedora#1205127

* Tue Jan 13 2015 luigiwalser <luigiwalser> 0.9-5.mga5
+ Revision: 810365
- update patch 1 (Adam Williamson, fedora)

* Wed Oct 15 2014 umeabot <umeabot> 0.9-4.mga5
+ Revision: 741865
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9-3.mga5
+ Revision: 728736
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9-2.mga5
+ Revision: 688083
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 philippem <philippem> 0.9-1.mga5
+ Revision: 661707
- update to 0.9

* Sat May 31 2014 pterjan <pterjan> 0.8-5.mga5
+ Revision: 628709
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.8-4.mga4
+ Revision: 543586
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.8-3.mga4
+ Revision: 498720
- Rebuild to add different pythonegg provides for python 2 and 3
+ philippem <philippem>
- cleaning spec, add requires rootcerts

* Thu Jun 06 2013 colin <colin> 0.8-2.mga4
+ Revision: 438392
- Use python-setuptools for folder-based egg-info

* Thu Jun 06 2013 colin <colin> 0.8-1.mga4
+ Revision: 438216
- New version: 0.8
- Rediffed certdir patch
- Rework python2+3 build process

* Thu May 23 2013 philippem <philippem> 0.7.7-4.mga4
+ Revision: 425497
- fix P3K cert file not found

* Fri May 10 2013 luigiwalser <luigiwalser> 0.7.7-3.mga3
+ Revision: 412877
- add upstream patch to fix CVE-2013-2037

* Sun Jan 13 2013 umeabot <umeabot> 0.7.7-2.mga3
+ Revision: 378977
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 philippem <philippem> 0.7.7-1.mga3
+ Revision: 325421
- update to 0.7.7

* Sat Sep 29 2012 fwang <fwang> 0.7.6-2.mga3
+ Revision: 300326
- rebuild for new python3.3

* Sun Sep 23 2012 philippem <philippem> 0.7.6-1.mga3
+ Revision: 296887
- update to 0.7.6

* Thu Jul 05 2012 philippem <philippem> 0.7.4-2.mga3
+ Revision: 268293
- Fix #6568 use system-wide cacerts

* Mon Mar 05 2012 philippem <philippem> 0.7.4-1.mga2
+ Revision: 218511
- Update to 0.7.4.

* Thu Mar 01 2012 guillomovitch <guillomovitch> 0.7.2-2.mga2
+ Revision: 216361
- build for python3 too

* Fri Nov 18 2011 philippem <philippem> 0.7.2-1.mga2
+ Revision: 168672
- Update to 0.7.2

* Mon Jun 20 2011 kharec <kharec> 0.7.1-1.mga2
+ Revision: 110294
- new version 0.7.1

* Thu Feb 17 2011 wally <wally> 0.6.0-3.mga1
+ Revision: 53114
- clean .spec
- remove old py_requires macro
- remove buildroot definition
- imported package python-httplib2


* Sat Oct 30 2010 Michael Scherer <misc@mandriva.org> 0.6.0-2mdv2011.0
+ Revision: 590615
- rebuild for python 2.7

* Fri Jan 08 2010 Emmanuel Andry <eandry@mandriva.org> 0.6.0-1mdv2010.1
+ Revision: 487795
- New version 0.6.0

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 0.4.0-3mdv2009.1
+ Revision: 323729
- rebuild

* Thu Mar 13 2008 Adam Williamson <awilliamson@mandriva.org> 0.4.0-2mdv2008.1
+ Revision: 187368
- requires python

* Wed Mar 12 2008 Adam Williamson <awilliamson@mandriva.org> 0.4.0-1mdv2008.1
+ Revision: 186995
- import python-httplib2


